Tasks
List Tasks
Retrieves a paginated list of tasks with optional filters
Retrieves a paginated list of tasks with optional filters
Query Parameters
teamId?string
Filter by team ID
Format
uuidprojectId?string
Filter by project ID
Format
uuidassignedToId?string
Filter by assignee ID
Format
uuidstatus?string
Filter by status ID
priority?string
Filter by priority flag
Value in
"true" | "false"includeDeleted?string
Include soft-deleted tasks
Value in
"true" | "false"includeTotal?string
Include total count in response. Consider omitting for subsequent page loads to improve performance.
Value in
"true" | "false"includeMarkdown?string
Include description.markdown field. Omit for better performance when markdown is not needed.
Value in
"true" | "false"expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (status,team,project,assignee)
Default
"all"cursor?string
Cursor for pagination
offset?|
Offset for pagination
Range
0 <= valuelimit?integer
Number of results to return (max 100)
Default
50Range
1 <= value <= 100Response Body
application/json
curl -X GET "https://example.com/v1/tasks/list"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "dueDate": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "publicId": 0, "priority": true, "visibility": "string", "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "statusId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737", "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9", "description": { "html": "string", "markdown": "string" }, "status": { "id": "string", "name": "string", "stage": "string", "color": "string" }, "assignee": { "id": "string", "name": "string", "email": "string" }, "team": { "id": "string", "name": "string", "publicId": "str" }, "project": { "id": "string", "name": "string" } } ], "nextCursor": "string", "hasMore": true, "total": 0}